Index: trunk/source/visualization/OpenGL/History
===================================================================
--- trunk/source/visualization/OpenGL/History	(revision 908)
+++ trunk/source/visualization/OpenGL/History	(revision 911)
@@ -1,3 +1,3 @@
-$Id: History,v 1.122 2009/01/13 09:47:05 lgarnier Exp $
+$Id: History,v 1.123 2009/01/19 16:28:38 lgarnier Exp $
 -------------------------------------------------------------------
 
@@ -20,4 +20,7 @@
 History file for visualization/OpenGL
 -------------------------------------
+
+19th January 2009  Laurent Garnier
+- Change G4DEBUG defiition by G4DEBUG_VIS_OGL
 
 12th January 2009  John Allison
Index: trunk/source/visualization/OpenGL/include/G4OpenGLQtViewer.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLQtViewer.hh	(revision 908)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLQtViewer.hh	(revision 911)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLQtViewer.hh,v 1.13 2008/11/06 13:43:44 lgarnier Exp $
+// $Id: G4OpenGLQtViewer.hh,v 1.14 2009/01/19 16:08:47 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -73,5 +73,4 @@
   void SetView ();
   virtual void updateQWidget()=0;
-  void setupViewport(int, int);
   QString setEncoderPath(QString path);
   QString getEncoderPath();
Index: trunk/source/visualization/OpenGL/include/G4OpenGLXViewer.hh
===================================================================
--- trunk/source/visualization/OpenGL/include/G4OpenGLXViewer.hh	(revision 908)
+++ trunk/source/visualization/OpenGL/include/G4OpenGLXViewer.hh	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXViewer.hh,v 1.28 2007/11/10 14:50:01 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXViewer.hh,v 1.29 2009/01/19 16:08:47 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLBitMapStore.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLBitMapStore.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLBitMapStore.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLBitMapStore.cc,v 1.4 2007/11/15 10:14:23 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLBitMapStore.cc,v 1.5 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLFontBaseStore.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLFontBaseStore.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLFontBaseStore.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLFontBaseStore.cc,v 1.3 2006/06/29 21:18:56 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLFontBaseStore.cc,v 1.4 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQt.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQt.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQt.cc	(revision 911)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLImmediateQt.cc,v 1.4 2008/10/24 13:49:19 lgarnier Exp $
+// $Id: G4OpenGLImmediateQt.cc,v 1.5 2009/01/19 16:26:40 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -58,5 +58,5 @@
 G4VViewer* G4OpenGLImmediateQt::CreateViewer
 (G4VSceneHandler& scene, const G4String& name) {
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLImmediateQt::CreateViewer \n");
 #endif
@@ -78,5 +78,5 @@
       " new G4OpenGLImmediateQtViewer." << G4endl;
   }
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLImmediateQt::CreateViewer END \n");
 #endif
Index: trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQtViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQtViewer.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLImmediateQtViewer.cc	(revision 911)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLImmediateQtViewer.cc,v 1.9 2009/01/15 18:14:58 lgarnier Exp $
+// $Id: G4OpenGLImmediateQtViewer.cc,v 1.11 2009/01/19 16:53:42 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -65,5 +65,5 @@
 
 void G4OpenGLImmediateQtViewer::Initialise() {
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLImmediateQtViewer::Initialise \n");
 #endif
@@ -102,5 +102,5 @@
  */
 void  G4OpenGLImmediateQtViewer::DrawView() {
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLImmediateQtViewer::DrawView  VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV\n");
 #endif
@@ -109,5 +109,5 @@
 
   updateQWidget();
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLImmediateQtViewer::DrawView  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^\n");
 #endif
@@ -117,5 +117,5 @@
 void G4OpenGLImmediateQtViewer::ComputeView () {
 
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLImmediateQtViewer::ComputeView %d %d   VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV\n",fWinSize_x, fWinSize_y);
 #endif
@@ -127,8 +127,4 @@
   G4ViewParameters::DrawingStyle style = GetViewParameters().GetDrawingStyle();
 
-  //Make sure current viewer is attached and clean...
-  //Qt version needed
-  //  glViewport (0, 0, fWinSize_x, fWinSize_y);
-
   if(style!=G4ViewParameters::hlr &&
      haloing_enabled) {
@@ -138,5 +134,5 @@
     ProcessView ();
     glFlush ();
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLImmediateQtViewer::ComputeView First ProcessView ok\n");
 #endif
@@ -152,5 +148,5 @@
   }
    
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLImmediateQtViewer::ComputeView %d %d ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ \n",fWinSize_x, fWinSize_y);
 #endif
@@ -160,9 +156,9 @@
 void G4OpenGLImmediateQtViewer::FinishView()
 {
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLImmediateQtViewer::FinishView() BEGIN\n");
 #endif
   glFlush ();
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLImmediateQtViewer::FinishView() END\n");
 #endif
@@ -186,5 +182,5 @@
 void G4OpenGLImmediateQtViewer::paintGL()
 {
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("\n\nG4OpenGLImmediateQtViewer::paintGL ??\n");
 #endif
@@ -199,5 +195,5 @@
     }
   }
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLImmediateQtViewer::paintGL VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV ready %d\n",readyToPaint);
 #endif
@@ -210,5 +206,5 @@
   hasToRepaint = false; // could be set to false by ComputeView
 
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLImmediateQtViewer::paintGL ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ ready %d\n\n\n",readyToPaint);
 #endif
Index: trunk/source/visualization/OpenGL/src/G4OpenGLImmediateViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLImmediateViewer.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLImmediateViewer.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateViewer.cc,v 1.8 2006/09/04 12:07:59 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLImmediateViewer.cc,v 1.9 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLImmediateWin32.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLImmediateWin32.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLImmediateWin32.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateWin32.cc,v 1.11 2006/08/14 12:07:19 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLImmediateWin32.cc,v 1.12 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLImmediateX.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLImmediateX.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLImmediateX.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateX.cc,v 1.13 2007/08/21 14:05:51 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLImmediateX.cc,v 1.14 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXViewer.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXViewer.cc	(revision 911)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLImmediateXViewer.cc,v 1.17 2009/01/13 09:47:05 lgarnier Exp $
+// $Id: G4OpenGLImmediateXViewer.cc,v 1.18 2009/01/19 16:53:42 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -86,5 +86,4 @@
   //Make sure current viewer is attached and clean...
   glXMakeCurrent (dpy, win, cx);
-  //  glViewport (0, 0, fWinSize_x, fWinSize_y);
 
   if(style!=G4ViewParameters::hlr &&
Index: trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXm.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXm.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXm.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLImmediateXm.cc,v 1.13 2006/08/14 12:07:19 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLImmediateXm.cc,v 1.14 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXmViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXmViewer.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLImmediateXmViewer.cc	(revision 911)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLImmediateXmViewer.cc,v 1.18 2009/01/13 12:07:12 allison Exp $
+// $Id: G4OpenGLImmediateXmViewer.cc,v 1.19 2009/01/19 16:53:42 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -92,5 +92,4 @@
   //Make sure current viewer is attached and clean...
   glXMakeCurrent (dpy, win, cx);
-  glViewport (0, 0, fWinSize_x, fWinSize_y);
 
   if(style!=G4ViewParameters::hlr &&
Index: trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 911)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLQtViewer.cc,v 1.32 2009/01/15 18:14:58 lgarnier Exp $
+// $Id: G4OpenGLQtViewer.cc,v 1.34 2009/01/19 16:53:42 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -103,5 +103,5 @@
 
   if(fWindow) return; //Done.
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLQtViewer::CreateMainWindow glWidget\n");
 #endif
@@ -148,5 +148,5 @@
 
     if (found==false) {
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
       printf("G4OpenGLQtViewer::CreateMainWindow case Qapp exist, but not found\n");
 #endif
@@ -154,5 +154,5 @@
     }
   } else {
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
     printf("G4OpenGLQtViewer::CreateMainWindow case Qapp exist\n");
 #endif
@@ -186,5 +186,5 @@
   
   if(!fWindow) return;
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLQtViewer::CreateMainWindow glWidget END\n");
 #endif
@@ -248,5 +248,5 @@
   fLastEventTime = new QTime();
 
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLQtViewer::G4OpenGLQtViewer END\n");
 #endif
@@ -1645,5 +1645,4 @@
 //   glRenderMode (GL_FEEDBACK);
   
-//   glViewport (0, 0, aWidth, aHeight);
 //   DrawView();
 //   returned = glRenderMode (GL_RENDER);
@@ -1676,7 +1675,5 @@
   glRenderMode (GL_FEEDBACK);
   
-  int side = aWidth;
-  if (aHeight < aWidth) side = aHeight;
-  glViewport((aWidth - side) / 2, (aHeight - side) / 2, side, side);
+  ResizeGLView();
   DrawView();
 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLStoredQt.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLStoredQt.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLStoredQt.cc	(revision 911)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLStoredQt.cc,v 1.9 2008/10/24 14:21:34 lgarnier Exp $
+// $Id: G4OpenGLStoredQt.cc,v 1.10 2009/01/19 16:26:40 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -58,5 +58,5 @@
 G4VViewer* G4OpenGLStoredQt::CreateViewer
 (G4VSceneHandler& scene, const G4String& name) {
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLStoredQt::CreateViewer \n");
 #endif
@@ -78,5 +78,5 @@
       " new G4OpenGLStoredQtViewer." << G4endl;
   }
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLStoredQt::CreateViewer END \n");
 #endif
Index: trunk/source/visualization/OpenGL/src/G4OpenGLStoredQtViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLStoredQtViewer.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLStoredQtViewer.cc	(revision 911)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLStoredQtViewer.cc,v 1.22 2009/01/15 18:14:58 lgarnier Exp $
+// $Id: G4OpenGLStoredQtViewer.cc,v 1.23 2009/01/19 16:26:40 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -70,5 +70,5 @@
 
 void G4OpenGLStoredQtViewer::Initialise() {
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLStoredQtViewer::Initialise 1\n");
 #endif
@@ -84,5 +84,5 @@
   InitializeGLView ();
 
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLStoredQtViewer::InitialiseGL () 1\n");
 #endif
@@ -101,5 +101,5 @@
   }
 
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLStoredQtViewer::InitialiseGL  END\n");
 #endif
@@ -108,5 +108,5 @@
 
 void G4OpenGLStoredQtViewer::DrawView () {
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLStoredQtViewer::DrawView  VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV\n");
 #endif
@@ -118,5 +118,5 @@
   
   ComputeView();
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLStoredQtViewer::DrawView  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^\n");
 #endif
@@ -125,5 +125,5 @@
 void G4OpenGLStoredQtViewer::ComputeView () {
 
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLStoredQtViewer::ComputeView %d %d   VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV\n",fWinSize_x, fWinSize_y);
 #endif
@@ -146,5 +146,5 @@
   if(style!=G4ViewParameters::hlr &&
      haloing_enabled) {
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
     printf("G4OpenGLStoredQtViewer::ComputeView DANS LE IF\n");
 #endif
@@ -164,5 +164,5 @@
     // have been done, so...
     if (!kernelVisitWasNeeded) {
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
       printf("**************************  G4OpenGLStoredQtViewer::ComputeView Don't need kernel Visit \n");
 #endif
@@ -170,5 +170,5 @@
       FinishView ();
     } else {
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
       printf("**************************  G4OpenGLStoredQtViewer::ComputeView need kernel Visit \n");
 #endif
@@ -180,5 +180,5 @@
         DrawDisplayLists ();
         FinishView ();
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
         printf("***************************  CASE 4 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ \n");
 #endif
@@ -194,5 +194,5 @@
   }
 
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLStoredQtViewer::ComputeView %d %d ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ \n",fWinSize_x, fWinSize_y);
 #endif
@@ -217,5 +217,5 @@
 void G4OpenGLStoredQtViewer::paintGL()
 {
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLStoredQtViewer::paintGL ??\n");
 #endif
@@ -232,5 +232,5 @@
     }
   }
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLStoredQtViewer::paintGL VVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVVV ready %d\n",readyToPaint);
 #endif
@@ -243,5 +243,5 @@
   hasToRepaint =false;
      
-#ifdef G4DEBUG
+#ifdef G4DEBUG_VIS_OGL
   printf("G4OpenGLStoredQtViewer::paintGL ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ ready %d\n",readyToPaint);
 #endif
Index: trunk/source/visualization/OpenGL/src/G4OpenGLStoredViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLStoredViewer.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLStoredViewer.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredViewer.cc,v 1.24 2008/04/04 13:32:22 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLStoredViewer.cc,v 1.25 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLStoredWin32.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLStoredWin32.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLStoredWin32.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredWin32.cc,v 1.14 2006/08/14 12:07:19 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLStoredWin32.cc,v 1.15 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLStoredX.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLStoredX.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLStoredX.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredX.cc,v 1.14 2007/08/21 14:05:51 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLStoredX.cc,v 1.15 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLStoredXViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLStoredXViewer.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLStoredXViewer.cc	(revision 911)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLStoredXViewer.cc,v 1.23 2009/01/13 09:47:05 lgarnier Exp $
+// $Id: G4OpenGLStoredXViewer.cc,v 1.24 2009/01/19 16:53:42 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -79,5 +79,4 @@
   //Make sure current viewer is attached and clean...
   glXMakeCurrent (dpy, win, cx);
-  //  glViewport (0, 0, fWinSize_x, fWinSize_y);
 
   G4ViewParameters::DrawingStyle style = GetViewParameters().GetDrawingStyle();
Index: trunk/source/visualization/OpenGL/src/G4OpenGLStoredXm.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLStoredXm.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLStoredXm.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLStoredXm.cc,v 1.11 2006/08/14 12:07:19 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLStoredXm.cc,v 1.12 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLStoredXmViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLStoredXmViewer.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLStoredXmViewer.cc	(revision 911)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLStoredXmViewer.cc,v 1.23 2009/01/13 09:47:05 lgarnier Exp $
+// $Id: G4OpenGLStoredXmViewer.cc,v 1.24 2009/01/19 16:53:42 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -85,5 +85,4 @@
   //Make sure current viewer is attached and clean...
   glXMakeCurrent (dpy, win, cx);
-  //  glViewport (0, 0, fWinSize_x, fWinSize_y);
 
   G4ViewParameters::DrawingStyle style = GetViewParameters().GetDrawingStyle();
Index: trunk/source/visualization/OpenGL/src/G4OpenGLTransform3D.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLTransform3D.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLTransform3D.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLTransform3D.cc,v 1.8 2006/06/29 21:19:32 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLTransform3D.cc,v 1.9 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc	(revision 911)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLViewer.cc,v 1.45 2009/01/15 18:14:58 lgarnier Exp $
+// $Id: G4OpenGLViewer.cc,v 1.46 2009/01/19 16:53:42 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -155,8 +155,4 @@
 void G4OpenGLViewer::ResizeGLView()
 {
-#ifdef G4DEBUG
-  printf("G4OpenGLViewer::setupViewport\n");
-#endif
-
   int side = fWinSize_x;
   if (fWinSize_y < fWinSize_x) side = fWinSize_y;
Index: trunk/source/visualization/OpenGL/src/G4OpenGLViewerMessenger.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLViewerMessenger.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLViewerMessenger.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLViewerMessenger.cc,v 1.12 2008/04/04 13:32:22 allison Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLViewerMessenger.cc,v 1.13 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 
 #ifdef G4VIS_BUILD_OPENGL_DRIVER
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXViewer.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXViewer.cc	(revision 911)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXViewer.cc,v 1.43 2009/01/13 09:47:05 lgarnier Exp $
+// $Id: G4OpenGLXViewer.cc,v 1.45 2009/01/19 16:53:42 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
@@ -226,7 +226,4 @@
   size_hints->y = y_origin;
   size_hints->flags |= PSize | PPosition;
-#ifdef G4DEBUG
-  printf("G4OpenGLXViewer::CreateMainWindow CreateWindow Size:W:%d H:%d X:%d Y:%d \n",fWinSize_x,fWinSize_y,x_origin,y_origin);
-#endif
 
   G4cout << "Window name: " << fName << G4endl;
@@ -440,7 +437,5 @@
 		    win,
 		    cx);
-    
-    //    glViewport (0, 0, fWinSize_x, fWinSize_y);
-    
+        
     ClearView ();
     SetView ();
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmBox.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmBox.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmBox.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmBox.cc,v 1.6 2006/06/29 21:19:40 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmBox.cc,v 1.7 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 //Box container class
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmConvenienceRoutines.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmConvenienceRoutines.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmConvenienceRoutines.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmConvenienceRoutines.cc,v 1.11 2006/06/29 21:19:42 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmConvenienceRoutines.cc,v 1.12 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmFourArrowButtons.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmFourArrowButtons.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmFourArrowButtons.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmFourArrowButtons.cc,v 1.5 2006/06/29 21:19:44 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmFourArrowButtons.cc,v 1.6 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 //Four arrow buttons class. Inherits from G4OpenGLXmVWidgetComponent
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmFramedBox.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmFramedBox.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmFramedBox.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmFramedBox.cc,v 1.6 2006/06/29 21:19:46 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmFramedBox.cc,v 1.7 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 //Framed box container class
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmMainMenubarCallbacks.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmMainMenubarCallbacks.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmMainMenubarCallbacks.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmMainMenubarCallbacks.cc,v 1.13 2006/06/29 21:19:48 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmMainMenubarCallbacks.cc,v 1.14 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmPanningCallbacks.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmPanningCallbacks.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmPanningCallbacks.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmPanningCallbacks.cc,v 1.8 2006/06/29 21:19:50 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmPanningCallbacks.cc,v 1.9 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmPushButton.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmPushButton.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmPushButton.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmPushButton.cc,v 1.6 2006/06/29 21:19:52 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmPushButton.cc,v 1.7 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 //Push button class. Inherits from G4OpenGLXmVWidgetComponent
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmRadioButton.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmRadioButton.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmRadioButton.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmRadioButton.cc,v 1.6 2006/06/29 21:19:54 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmRadioButton.cc,v 1.7 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 //Radio button class. Inherits from G4OpenGLXmVWidgetComponent
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmRotationCallbacks.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmRotationCallbacks.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmRotationCallbacks.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmRotationCallbacks.cc,v 1.16 2008/07/28 15:36:45 lgarnier Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmRotationCallbacks.cc,v 1.17 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmSeparator.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmSeparator.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmSeparator.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmSeparator.cc,v 1.5 2006/06/29 21:19:58 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmSeparator.cc,v 1.6 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 //Separator class. Inherits from G4OpenGLXmVWidgetComponent
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmSliderBar.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmSliderBar.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmSliderBar.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmSliderBar.cc,v 1.7 2006/06/29 21:20:00 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmSliderBar.cc,v 1.8 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 //Slider bar class. Inherits from G4OpenGLXmVWidgetComponent
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmStyleCallbacks.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmStyleCallbacks.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmStyleCallbacks.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmStyleCallbacks.cc,v 1.14 2006/06/29 21:20:02 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmStyleCallbacks.cc,v 1.15 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 // 
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmTextField.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmTextField.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmTextField.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmTextField.cc,v 1.7 2006/06/29 21:20:04 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmTextField.cc,v 1.8 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 //Text field class. Inherits from G4OpenGLXmVWidgetComponent
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmTopLevelShell.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmTopLevelShell.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmTopLevelShell.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmTopLevelShell.cc,v 1.5 2006/06/29 21:20:06 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmTopLevelShell.cc,v 1.6 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 //Top level shell class
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmVWidgetComponent.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmVWidgetComponent.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmVWidgetComponent.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmVWidgetComponent.cc,v 1.5 2006/06/29 21:20:08 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmVWidgetComponent.cc,v 1.6 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 //Base class for all Motif component widgets
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmVWidgetContainer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmVWidgetContainer.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmVWidgetContainer.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmVWidgetContainer.cc,v 1.5 2006/06/29 21:20:10 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmVWidgetContainer.cc,v 1.6 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 //Base class for all Motif container widgets
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmVWidgetObject.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmVWidgetObject.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmVWidgetObject.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmVWidgetObject.cc,v 1.5 2006/06/29 21:20:12 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmVWidgetObject.cc,v 1.6 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 //Virtual base class for all Motif widgets.
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmVWidgetShell.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmVWidgetShell.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmVWidgetShell.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmVWidgetShell.cc,v 1.5 2006/06/29 21:20:14 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmVWidgetShell.cc,v 1.6 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 //
 //Base class for all Motif shell widgets
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmViewer.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmViewer.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmViewer.cc	(revision 911)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXmViewer.cc,v 1.26 2009/01/15 18:14:58 lgarnier Exp $
+// $Id: G4OpenGLXmViewer.cc,v 1.27 2009/01/19 16:08:47 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmViewerMessenger.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmViewerMessenger.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmViewerMessenger.cc	(revision 911)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4OpenGLXmViewerMessenger.cc,v 1.4 2006/06/29 21:20:18 gunter Exp $
-// GEANT4 tag $Name: HEAD $
+// $Id: G4OpenGLXmViewerMessenger.cc,v 1.5 2009/01/19 16:53:42 lgarnier Exp $
+// GEANT4 tag $Name:  $
 
 #ifdef G4VIS_BUILD_OPENGLXM_DRIVER
Index: trunk/source/visualization/OpenGL/src/G4OpenGLXmWindowHandlingCallbacks.cc
===================================================================
--- trunk/source/visualization/OpenGL/src/G4OpenGLXmWindowHandlingCallbacks.cc	(revision 908)
+++ trunk/source/visualization/OpenGL/src/G4OpenGLXmWindowHandlingCallbacks.cc	(revision 911)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLXmWindowHandlingCallbacks.cc,v 1.7 2009/01/13 09:47:05 lgarnier Exp $
+// $Id: G4OpenGLXmWindowHandlingCallbacks.cc,v 1.8 2009/01/19 16:26:40 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
